extends Sprite2D

var xNotas = "do"
var xNum = "x1"
var x_linha_espaco = "linha"
var x_superior_inferior = "superior"
func _init() -> void:
	notas()
	
func _on_button_pressed_do() -> void:
	get_node("xTrue").visible = false
	if xNotas == "do":
		print("do")


func _on_button_pressed_re() -> void:
	get_node("xTrue").visible = true
	if xNotas == "re":
		print("re")


func _on_button_pressed_mi() -> void:
	if xNotas == "mi":
		print("mi")


func _on_button_pressed_fa() -> void:
	if xNotas == "fa":
		print("fa")


func _on_button_pressed_sol() -> void:
	if xNotas == "sol":
		print("sol")


func _on_button_pressed_la() -> void:
	if xNotas == "la":
		print("la")


func _on_button_pressed_si() -> void:
	if xNotas == "si":
		print("si")


func _on_button_pressed_x1() -> void:
	if xNum == "x1":
		print("x1")


func _on_button_pressed_x2() -> void:
	if xNum == "x2":
		print("x2")


func _on_button_pressed_x3() -> void:
	if xNum == "x3":
		print("x3")


func _on_button_pressed_x4() -> void:
	if xNum == "x4":
		print("x4")


func _on_button_pressed_x5() -> void:
	if xNum == "x5":
		print("x5")


func _on_button_pressed_linha() -> void:
	if x_linha_espaco == "linha":
		print("linha")


func _on_button_pressed_espaco() -> void:
	if x_linha_espaco == "espaco":
		print("espaco")


func _on_button_pressed_superior() -> void:
	if x_superior_inferior == "superior":
		print("superior")


func _on_button_pressed_inferior() -> void:
	if x_superior_inferior == "inferior":
		print("inferior")


func _on_button_pressed_proximo() -> void:
	pass # Replace with function body.


func notas():
	get_node("Nota1").visible = false
	get_node("Nota2").visible = false
	get_node("Nota3").visible = false
	get_node("Nota4").visible = false
	get_node("Nota5").visible = false
	get_node("Nota6").visible = false
	get_node("Nota7").visible = false
	get_node("Nota8").visible = false
	get_node("Nota9").visible = false
	get_node("Nota10").visible = false
	get_node("Nota11").visible = false
	get_node("Nota12").visible = false
	get_node("Nota13").visible = false
	get_node("Nota14").visible = false
	get_node("Nota15").visible = false
	get_node("Nota16").visible = false
	get_node("Nota17").visible = false
	get_node("Nota18").visible = false
	get_node("Nota19").visible = false
	get_node("Nota20").visible = false
	get_node("Nota21").visible = false
